package com.example.myapplication.model;

import android.graphics.Bitmap;

public class ImageInfo {
        private String path;     // 图片路径
        private long time;       // 时间戳（单位：秒）
        private Bitmap bitmap;   // 图片缩略图
        private double latitude;
        private double longitude;
        private double altitude;
        private String user;

    public boolean isB() {
        return b;
    }

    public void setB(boolean b) {
        this.b = b;
    }

    public ImageInfo(String path, long time, Bitmap bitmap, double latitude, double longitude, double altitude, String user, String audioPath, boolean b, Bitmap thumbnail, String unit, String project, int blade) {
        this.path = path;
        this.time = time;
        this.bitmap = bitmap;
        this.latitude = latitude;
        this.longitude = longitude;
        this.altitude = altitude;
        this.user = user;
        this.audioPath = audioPath;
        this.b = b;
        this.thumbnail = thumbnail;
        this.unit = unit;
        this.project = project;
        this.blade = blade;
    }

    boolean b;

    public Bitmap getThumbnail() {
        return thumbnail;
    }

    public void setThumbnail(Bitmap thumbnail) {
        this.thumbnail = thumbnail;
    }

    public String getProject() {
        return project;
    }

    public void setProject(String project) {
        this.project = project;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public int getBlade() {
        return blade;
    }

    public void setBlade(int blade) {
        this.blade = blade;
    }

    private String audioPath;
        public Bitmap thumbnail;
        private String project;
        private String unit;
        private  int blade;
    public void setPath(String path) {
        this.path = path;
    }

    public void setTime(long time) {
        this.time = time;
    }

    public void setBitmap(Bitmap bitmap) {
        this.bitmap = bitmap;
    }

    public void setLatitude(double latitude) {
        this.latitude = latitude;
    }

    public void setLongitude(double longitude) {
        this.longitude = longitude;
    }

    public void setAltitude(double altitude) {
        this.altitude = altitude;
    }

    public void setUser(String user) {
        this.user = user;
    }

    public String getAudioPath() {
        return audioPath;
    }

    public void setAudioPath(String audioPath) {
        this.audioPath = audioPath;
    }

    // 修改构造函数
    public ImageInfo(String path, long time, Bitmap thumbnail, double latitude, double longitude, double altitude, String user, String audioPath) {
        this.path = path;
        this.time = time;
        this.bitmap = bitmap;
        this.latitude = latitude;
        this.longitude = longitude;
        this.altitude=altitude;
        this.user=user;
        this.audioPath=audioPath;
    }

    public ImageInfo(String path, long time, Bitmap bitmap, double latitude, double longitude, double altitude, String user, String audioPath, Bitmap thumbnail, String project, String unit, int blade) {
        this.path = path;
        this.time = time;
        this.bitmap = bitmap;
        this.latitude = latitude;
        this.longitude = longitude;
        this.altitude = altitude;
        this.user = user;
        this.audioPath = audioPath;
        this.thumbnail = thumbnail;
        this.project = project;
        this.unit = unit;
        this.blade = blade;
    }

    public double getLongitude() {
        return longitude;
    }

    public double getLatitude() {
        return latitude;
    }

    public String getUser() {
        return user;
    }


    public double getAltitude() {
        return altitude;
    }

    public ImageInfo(String path, long time, Bitmap bitmap) {
            this.path = path;
            this.time = time;
            this.bitmap = bitmap;
        }

        // Getter 方法
        public String getPath() { return path; }
        public long getTime() { return time; }
        public Bitmap getBitmap() { return bitmap; }

    }

